<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xsltc="http://xml.apache.org/xalan/xsltc"
 xmlns:redirect="http://xml.apache.org/xalan/redirect"
 extension-element-prefixes="redirect"
>
<xsl:param name="resources_path">.</xsl:param>

<xsl:template match="/htc">

<HTML>
  <HEAD>
    <TITLE>HTC extracted items</TITLE>
    <LINK rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="$resources_path"/>/styles/htc.css</xsl:attribute></LINK>
  </HEAD>
<BODY>

<TABLE>
<TR><TD class="section_title">Items extracted from</TD><TD class="section_title_right"><xsl:value-of select="@resource"/></TD></TR>
<TR><TD>(<xsl:value-of select="count(locations/location)"/> locations)</TD></TR>
<TR><TD>(<xsl:value-of select="count(hints/hint)"/> hints)</TD></TR>
<TR><TD>(<xsl:value-of select="count(pages/page)"/> pages)</TD></TR>
</TABLE>
<HR/>
<BR/>

<xsl:for-each select="locations/location">
  <xsl:sort select="@level"/>
  <xsl:sort select="@x"/>
  <xsl:sort select="@y"/>
  <xsl:variable name="level" select="@level"/>
<span class="location">[Level=<xsl:value-of select="@level"/><xsl:if test="@x!=255">-X=<xsl:value-of select="@x"/></xsl:if><xsl:if test="@y!=255">-Y=<xsl:value-of select="@y"/></xsl:if>]</span><br/>
  <xsl:for-each select="hint">
    <xsl:if test="count(preceding-sibling::*[@index=current()/@index])=0">
      <xsl:variable name="hint_index" select="@index"/>
      <xsl:for-each select="/htc/hints/hint[@index=$hint_index]">    
        <xsl:variable name="title" select="@name"/>
        <xsl:variable name="first_page" select="@first_page"/>
        <xsl:variable name="number_of_pages" select="@number_of_pages"/>
        <xsl:variable name="last_page" select="$first_page + $number_of_pages"/>
        <span class="title">[H<xsl:value-of select="@index"/>] <xsl:value-of select="@name"/></span><br/>
        <xsl:for-each select="/htc/pages/page[@index&gt;=$first_page and @index&lt;$last_page]">
          <span class="page"><xsl:value-of select="."/></span><br/>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
  <br/>
</xsl:for-each>

</BODY>
</HTML>

</xsl:template>
</xsl:stylesheet>