<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xsltc="http://xml.apache.org/xalan/xsltc"
 xmlns:redirect="http://xml.apache.org/xalan/redirect"
 extension-element-prefixes="redirect"
>
<xsl:import href="../../common/xsl/common.xsl"/>

<xsl:param name="output_path">.</xsl:param>
<xsl:param name="resources_path">.</xsl:param>
<xsl:variable name="file" select="concat($output_path, '/_graphics_files')"/> 

<xsl:template match="mapfile">

<HTML>
  <HEAD>
  <TITLE>mapfile extracted items</TITLE>
  <LINK rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="$resources_path"/>/styles/mapfile.css</xsl:attribute></LINK>
  </HEAD>
<BODY>
  <SCRIPT type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/js/soundmanager2.js</xsl:attribute></SCRIPT>
  <SCRIPT type="text/javascript">
    soundManager.debugMode = false; 
    soundManager.url = '../../resources/mapfile/js/soundmanager2.swf';
  </SCRIPT>
  <SCRIPT type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/js/mysoundmanager.js</xsl:attribute></SCRIPT>

<DIV><SPAN class="section_title">Items extracted from </SPAN><SPAN class="section_title_right"><xsl:value-of select="@resource"/></SPAN><SPAN class="count">(<xsl:value-of select="count(item)"/> items)</SPAN></DIV>
<BR/><HR/><BR/>

<TABLE>
<xsl:for-each select="item[position()mod 4 = 1]">
  <TR>
  <xsl:for-each select=". | following-sibling::item[position() &lt; 4]">
    <TD align="center" style="border-bottom-width: 0;">
      <xsl:if test="starts-with(type,'IMG') or starts-with(type,'FNT') or starts-with(type,'P4') or starts-with(type,'P5') or starts-with(type,'P8') or starts-with(type,'TILEMAP') or starts-with(type,'SPRITEMAP') or starts-with(type,'ROMIMG') or starts-with(type,'CMP')">
        <xsl:variable name="width" select="width"/> 
        <xsl:variable name="height" select="height"/> 
        <xsl:for-each select="files/file">
          <xsl:variable name="extension"><xsl:call-template name="ext">
            <xsl:with-param name="path" select="."/>
          </xsl:call-template></xsl:variable>
          <xsl:if test="$extension='.bmp' or $extension='.pal'">
            <xsl:if test="position()!=1">&#160;&#160;</xsl:if>
            <IMG><xsl:attribute name="src"><xsl:call-template name="filename-noext">
                <xsl:with-param name="path" select="."/>
              </xsl:call-template>.png</xsl:attribute>
              <xsl:choose>
                <xsl:when test="number($width) > 320">
                  <xsl:attribute name="width">320</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:attribute name="width"><xsl:value-of select="$width"/></xsl:attribute>
                </xsl:otherwise>
              </xsl:choose>
              <xsl:attribute name="height"><xsl:value-of select="$height"/></xsl:attribute>
            </IMG>
          </xsl:if>
        </xsl:for-each>
      </xsl:if>
      <xsl:if test="starts-with(type,'TXT') or starts-with(type,'PALAN')">
        <A><xsl:attribute name="href"><xsl:call-template name="filename">
            <xsl:with-param name="path" select="files/file[position()=1]"/>
          </xsl:call-template></xsl:attribute><IMG border="0" width="60" height="66"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/images/_text.png</xsl:attribute></IMG>
        </A>
      </xsl:if>
      <xsl:if test="starts-with(type,'SND') or starts-with(type,'SEQ')">
        <IMG width="85" height="81">
          <xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/images/_sound.png</xsl:attribute>
          <xsl:attribute name="onClick">mySoundManagerPlay('Snd<xsl:value-of select="@id"/>','<xsl:call-template name="filename-noext">
            <xsl:with-param name="path" select="files/file[position()=1]"/>
          </xsl:call-template>.mp3');</xsl:attribute>
        </IMG>
      </xsl:if>
      <xsl:if test="starts-with(type,'INT')">
        <xsl:value-of select="files/file[position()=1]/@content"/>
      </xsl:if>
    </TD>
  </xsl:for-each>
  </TR>
  <TR>
  <xsl:for-each select=". | following-sibling::item[position() &lt; 4]">
    <TD align="center" style="border-top-width: 0;"><B>
      <xsl:variable name="description"><xsl:value-of select="description"/></xsl:variable>
      <xsl:variable name="long_description"><xsl:value-of select="long_description"/></xsl:variable>
      <span class="legend_cat">[<xsl:value-of select="@id"/>]</span><span class="legend"><xsl:if test="string-length($description) > 0"><xsl:text> </xsl:text><xsl:value-of select="$description"/></xsl:if><xsl:if test="string-length($long_description) > 0"> (<xsl:value-of select="$long_description"/>)</xsl:if></span>
    </B></TD>
  </xsl:for-each>
  </TR>
</xsl:for-each>
</TABLE>

</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>